Get a transaction
Returns one transaction. It includes a receipt only after payment has finished successfully.
/merchant/v1/transactions/{transaction_id}Request
Path Parameters
Server-issued transaction identifier.
Authentication
Private API key for your Recuut account. A recuut_test_ key uses test payers and transactions. A recuut_live_ key uses live data. Send this key only from your server.
In: header
Response
application/jsonSchema
Transaction details, with a receipt after successful payment.
Request example
curl --request GET \ --url "$RECUUT_API_URL/merchant/v1/transactions/txn_00000000000070008000000000000000" \ --header "Authorization: Bearer $RECUUT_API_KEY"HTTP response examples
{ "authorized_at": "2026-08-12T09:29:57Z", "authorized_atomic": "1000000", "created_at": "2026-08-12T09:29:55Z", "id": "txn_00000000000070008000000000000000", "payer": "0x1111111111111111111111111111111111111111", "payment_request_id": "prq_00000000000070008000000000000000", "receipt": { "environment": "test", "environment_key": "test", "id": "rct_00000000000070008000000000000000", "issued_at": "2026-08-12T09:30:00.000Z", "payment": { "asset": "USDC", "asset_id": "0x3333333333333333333333333333333333333333", "authorized_atomic": "1000000", "network": "eip155:84532", "payer": "0x1111111111111111111111111111111111111111", "recipient": "0x2222222222222222222222222222222222222222", "scheme": "exact", "settled_atomic": "1000000", "transaction_hash": "0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa" }, "price": { "calculation_mode": "fixed", "currency": "USD", "id": "prc_00000000000070008000000000000000", "label": "Quarterly report access" }, "resource": { "id": "res_00000000000070008000000000000000", "name": "Quarterly report", "url": "https://merchant.example/reports/quarterly" }, "schema_version": 2, "seller": { "id": "org_00000000000070008000000000000000", "name": "Acme Research" }, "transaction_id": "txn_00000000000070008000000000000000" }, "settled_at": "2026-08-12T09:30:00Z", "settled_atomic": "1000000", "status": "succeeded", "transaction_hash": "0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"}